/**
 * Comments actions
 */

export const ERROR = 'error';
export const SUCCESS = 'success';
export const WARNING = 'warning';
export const INFO = 'info';

/** USER **/
export const FETCH_ALL_COMMENTS = 'FETCH_ALL_COMMENTS';
export const FETCH_ALL_COMMENTS_SUCCESS = 'FETCH_ALL_COMMENTS_SUCCESS';
export const FETCH_ALL_COMMENTS_ERROR = 'FETCH_ALL_COMMENTS_ERROR';

export const FETCH_ADD_COMMENT = 'FETCH_ADD_COMMENT';
export const FETCH_ADD_COMMENT_SUCCESS = 'FETCH_ADD_COMMENT_SUCCESS';
export const FETCH_ADD_COMMENT_ERROR = 'FETCH_ADD_COMMENT_ERROR';

export const LOGIN = 'LOGIN';
export const LOGIN_SUCCESS = 'LOGIN_SUCCESS';
export const LOGIN_ERROR = 'LOGIN_ERROR';

export const LOGOUT = 'LOGOUT';
export const LOGOUT_SUCCESS = 'LOGOUT_SUCCESS';
export const LOGOUT_ERROR = 'LOGOUT_ERROR';

export const HYDRATE_USER = 'HYDRATE_USER';
export const HYDRATE_USER_SUCCESS = 'HYDRATE_USER_SUCCESS';
export const HYDRATE_USER_ERROR = 'HYDRATE_USER_ERROR';

export const FETCH_UPDATE_USER = 'FETCH_UPDATE_USER';
export const FETCH_UPDATE_USER_SUCCESS = 'FETCH_UPDATE_USER_SUCCESS';
export const FETCH_UPDATE_USER_ERROR = 'FETCH_UPDATE_USER_ERROR';

/** PINS **/
export const FETCH_ALL_PINS = 'FETCH_ALL_PINS';
export const FETCH_ALL_PINS_SUCCESS = 'FETCH_ALL_PINS_SUCCESS';
export const FETCH_ALL_PINS_ERROR = 'FETCH_ALL_PINS_ERROR';

export const FETCH_LOAD_MORE_PINS = 'FETCH_LOAD_MORE_PINS';
export const FETCH_LOAD_MORE_PINS_SUCCESS = 'FETCH_LOAD_MORE_PINS_SUCCESS';
export const FETCH_LOAD_MORE_PINS_ERROR = 'FETCH_LOAD_MORE_PINS_ERROR';

export const FETCH_PINS_BY_CATEGORY = 'FETCH_PINS_BY_CATEGORY';
export const FETCH_PINS_BY_CATEGORY_SUCCESS = 'FETCH_PINS_BY_CATEGORY_SUCCESS';
export const FETCH_PINS_BY_CATEGORY_ERROR = 'FETCH_PINS_BY_CATEGORY_ERROR';

export const FETCH_PIN_CATEGORIES = 'FETCH_PIN_CATEGORIES';
export const FETCH_PIN_CATEGORIES_SUCCESS = 'FETCH_PIN_CATEGORIES_SUCCESS';
export const FETCH_PIN_CATEGORIES_ERROR = 'FETCH_PIN_CATEGORIES_ERROR';

export const FETCH_PIN_DETAIL = 'FETCH_PIN_DETAIL';
export const FETCH_PIN_DETAIL_SUCCESS = 'FETCH_PIN_DETAIL_SUCCESS';
export const FETCH_PIN_DETAIL_ERROR = 'FETCH_PIN_DETAIL_ERROR';

export const FETCH_CREATE_PIN = 'FETCH_CREATE_PIN';
export const FETCH_CREATE_PIN_SUCCESS = 'FETCH_CREATE_PIN_SUCCESS';
export const FETCH_CREATE_PIN_ERROR = 'FETCH_CREATE_PIN_ERROR';

export const FETCH_DELETE_PIN = 'FETCH_DELETE_PIN';
export const FETCH_DELETE_PIN_SUCCESS = 'FETCH_DELETE_PIN_SUCCESS';
export const FETCH_DELETE_PIN_ERROR = 'FETCH_DELETE_PIN_ERROR';

export const FETCH_LIKE_PIN = 'FETCH_LIKE_PIN';
export const FETCH_LIKE_PIN_SUCCESS = 'FETCH_LIKE_PIN_SUCCESS';
export const FETCH_LIKE_PIN_ERROR = 'FETCH_LIKE_PIN_ERROR';


export const FETCH_UNLIKE_PIN = 'FETCH_UNLIKE_PIN';
export const FETCH_UNLIKE_PIN_SUCCESS = 'FETCH_UNLIKE_PIN_SUCCESS';
export const FETCH_UNLIKE_PIN_ERROR = 'FETCH_UNLIKE_PIN_ERROR';

/** PROFILE **/
export const FETCH_PROFILE = 'FETCH_PROFILE';
export const FETCH_PROFILE_SUCCESS = 'FETCH_PROFILE_SUCCESS';
export const FETCH_PROFILE_ERROR = 'FETCH_PROFILE_ERROR';

export const FETCH_UPDATE_PROFILE = 'FETCH_UPDATE_PROFILE';
export const FETCH_UPDATE_PROFILE_SUCCESS = 'FETCH_UPDATE_PROFILE_SUCCESS';
export const FETCH_UPDATE_PROFILE_ERROR = 'FETCH_UPDATE_PROFILE_ERROR';

export const FETCH_PINS_CREATES_BY_USER = 'FETCH_PINS_CREATES_BY_USER';
export const FETCH_PINS_CREATES_BY_USER_SUCCESS = 'FETCH_PINS_CREATES_BY_USER_SUCCESS';
export const FETCH_PINS_CREATES_BY_USER_ERROR = 'FETCH_PINS_CREATES_BY_USER_ERROR';

export const FETCH_PINS_SAVES_BY_USER = 'FETCH_PINS_SAVES_BY_USER';
export const FETCH_PINS_SAVES_BY_USER_SUCCESS = 'FETCH_PINS_SAVES_BY_USER_SUCCESS';
export const FETCH_PINS_SAVES_BY_USER_ERROR = 'FETCH_PINS_SAVES_BY_USER_ERROR';


/** SEARCH **/
export const FETCH_SEARCH = 'FETCH_SEARCH';
export const FETCH_SEARCH_SUCCESS = 'FETCH_SEARCH_SUCCESS';
export const FETCH_SEARCH_ERROR = 'FETCH_SEARCH_ERROR';